Zum Inhalt springen

Überblick

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

Diese API-Referenz beschreibt Endpunkte für die Verwaltung von Abonnements, Gutscheinen und Werbeaktionen. Weitere Informationen über Subscriptions finden Sie in der Produktanleitung und in der Begriffserläuterung.

OpenAPI-Beschreibung herunterladen
Sprachen
Server
Mock server
https://xsolla.redocly.app/_mock/de/api/subscriptions/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Anfrage

Sicherheit
projectUserJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
Abfrage
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Get subscription info

Bodyapplication/json
chargeobjecterforderlich
charge.​amountnumber(float)erforderlich
Beispiel: 4.99
charge.​currencystringerforderlich
Beispiel: "USD"
charge.​setup_feenumber(float)erforderlich
Beispiel: 0.99
date_createstring(date-time)erforderlich
Beispiel: "2031-04-11T13:51:02+03:00"
date_endstring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
date_last_chargestring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
date_next_chargestring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
idintegererforderlich
Beispiel: "12345"
is_change_plan_allowedbooleanerforderlich
Beispiel: "false"
is_change_to_non_renew_possiblebooleanerforderlich
Beispiel: "true"
is_in_trialbooleanerforderlich
Beispiel: "false"
is_renew_possiblebooleanerforderlich
Beispiel: "true"
periodobjecterforderlich
period.​unitstring or null
Standard null
Beispiel: "month"
period.​valueinteger or null
Standard null
Beispiel: "1"
plan_descriptionstringerforderlich
Beispiel: "Localized plan description"
plan_end_datestring or null(date-time)
Beispiel: "2031-04-11T13:51:02+03:00"
plan_external_idstringerforderlich
Beispiel: "PlanExternalId"
plan_idintegererforderlich
Beispiel: "54321"
plan_namestringerforderlich
Beispiel: "Localized plan name"
plan_start_datestring or null(date-time)
Beispiel: "2021-04-11T13:51:02+03:00"
product_descriptionstring or null
Beispiel: "Localized product description"
product_external_idstring or null
Beispiel: "ProductExternalId"
product_idinteger or null
Beispiel: "12345"
product_namestring or null
Beispiel: "Product name"
statusstringerforderlich
Beispiel: "active"
trial_periodinteger or null
Beispiel: "0"
Antwort
application/json
{ "charge": { "amount": 4.99, "currency": "USD", "setup_fee": 0.99 }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "product_description": "Localized product description", "product_external_id": "ProductExternalId", "product_id": "12345", "product_name": "Product name", "status": "active", "trial_period": "0" }

Anfrage

Sicherheit
projectUserJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Make subscription non-renewable

Bodyapplication/json
Antwort
application/json
null

Anfrage

Sicherheit
projectUserJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
Bodyapplication/jsonerforderlich

Renew subscription

custom_parametersobject or null

You can pass additional parameters in the token

Standard null
settings(object or null)
(object or null)
steam_user_idstring or null
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/renew' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": null,
    "settings": {
      "currency": "str",
      "external_id": "string",
      "hide_saved_payment_accounts": true,
      "locale": "st",
      "payment_method": 1,
      "redirect_policy": {
        "delay": 0,
        "redirect_button_caption": "string",
        "redirect_conditions": "none",
        "status_for_manual_redirection": "none"
      },
      "return_url": "string",
      "steam_user_id": "stringstringstrin",
      "ui": {
        "desktop": {
          "header": {
            "close_button": true,
            "is_visible": true,
            "type": "compact",
            "visible_logo": true,
            "visible_name": true
          }
        },
        "independent_windows": true,
        "license_url": "string",
        "mobile": {
          "footer": {
            "is_visible": true
          },
          "header": {
            "close_button": true
          },
          "mode": "saved_accounts"
        },
        "mode": "user_account",
        "size": "large",
        "theme": "string",
        "user_account": {
          "history": {
            "enable": true,
            "order": 1
          },
          "info": {
            "enable": true,
            "order": 1
          },
          "payment_accounts": {
            "enable": true,
            "order": 1
          },
          "subscriptions": {
            "enable": true,
            "order": 1
          }
        },
        "version": "desktop"
      },
      "xsolla_product_tag": "string"
    },
    "steam_user_id": "string"
  }'

Antworten

Get subscription renew url

Bodyapplication/json
link_to_psstringerforderlich
Beispiel: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
Antwort
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }
Operationen
Operationen
Operationen
Operationen